Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast
Class AbstractForecaster<T>

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<T>

Type Parameters:
  `T` - The type of the forecaster.

All Implemented Interfaces:
  IForecaster<T>

Direct Known Subclasses:
  AbstractRForecaster, MeanForecasterJava

    public abstract class AbstractForecaster<T>

extends Object
implements IForecaster<T>

Since:
  1.10
Author:
  Andre van Hoorn, Tillmann Carlos Bielefeld

Constructor Summary
`AbstractForecaster(ITimeSeries<T> historyTimeseries)`
`AbstractForecaster(ITimeSeries<T> historyTimeseries, int confidenceLevel)`

Method Summary
`int` | `getConfidenceLevel()` Returns the confidence level to be computed for the forecast.
`ITimeSeries<T>` | `getTsOriginal()` Returns the original time series used for the forecast.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.tools.tslib.forecast.IForecaster
`forecast`

Constructor Detail

### AbstractForecaster

    public AbstractForecaster(ITimeSeries<T> historyTimeseries)

### AbstractForecaster

    public AbstractForecaster(ITimeSeries<T> historyTimeseries,
                              int confidenceLevel)

Parameters:
  `historyTimeseries` - TS
  `confidenceLevel` - value for confidencelevel

Method Detail

### getTsOriginal

    public ITimeSeries<T> getTsOriginal()

  Description copied from interface: `IForecaster`
  Returns the original time series used for the forecast.

  Specified by:
    `getTsOriginal` in interface `IForecaster<T>`

### getConfidenceLevel

    public int getConfidenceLevel()

  Description copied from interface: `IForecaster`
  Returns the confidence level to be computed for the forecast.

  Specified by:
    `getConfidenceLevel` in interface `IForecaster<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net